libvisio::VSDOutputElement Class Reference documentation

Public Member Functions | List of all members
libvisio::VSDOutputElement Class Referenceabstract
Inheritance diagram for libvisio::VSDOutputElement:

## Public Member Functions
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Constructor & Destructor Documentation

## ◆ VSDOutputElement()

libvisio::VSDOutputElement::VSDOutputElement | ( |  | ) |
| inline

Referenced by libvisio::VSDCloseListElementOutputElement::clone(), libvisio::VSDCloseParagraphOutputElement::clone(), libvisio::VSDCloseSpanOutputElement::clone(), libvisio::VSDCloseUnorderedListLevelOutputElement::clone(), libvisio::VSDEndLayerOutputElement::clone(), libvisio::VSDEndTextObjectOutputElement::clone(), libvisio::VSDGraphicObjectOutputElement::clone(), libvisio::VSDInsertLineBreakOutputElement::clone(), libvisio::VSDInsertTabOutputElement::clone(), libvisio::VSDInsertTextOutputElement::clone(), libvisio::VSDOpenListElementOutputElement::clone(), libvisio::VSDOpenParagraphOutputElement::clone(), libvisio::VSDOpenSpanOutputElement::clone(), libvisio::VSDOpenUnorderedListLevelOutputElement::clone(), clone(), libvisio::VSDPathOutputElement::clone(), libvisio::VSDStartLayerOutputElement::clone(), libvisio::VSDStartTextObjectOutputElement::clone(), and libvisio::VSDStyleOutputElement::clone().

## ◆ ~VSDOutputElement()

virtual libvisio::VSDOutputElement::~VSDOutputElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clone()

virtual VSDOutputElement * libvisio::VSDOutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDCloseListElementOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDPathOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDStartTextObjectOutputElement, and libvisio::VSDStyleOutputElement.

## ◆ draw()

virtual void libvisio::VSDOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| pure virtual

Implemented in libvisio::VSDCloseListElementOutputElement, libvisio::VSDCloseParagraphOutputElement, libvisio::VSDCloseSpanOutputElement, libvisio::VSDCloseUnorderedListLevelOutputElement, libvisio::VSDEndLayerOutputElement, libvisio::VSDEndTextObjectOutputElement, libvisio::VSDGraphicObjectOutputElement, libvisio::VSDInsertLineBreakOutputElement, libvisio::VSDInsertTabOutputElement, libvisio::VSDInsertTextOutputElement, libvisio::VSDOpenListElementOutputElement, libvisio::VSDOpenParagraphOutputElement, libvisio::VSDOpenSpanOutputElement, libvisio::VSDOpenUnorderedListLevelOutputElement, libvisio::VSDPathOutputElement, libvisio::VSDStartLayerOutputElement, libvisio::VSDStartTextObjectOutputElement, and libvisio::VSDStyleOutputElement.

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp